Summary: RPM installer/updater
Name: yum-conf
Version: lts301
Release: 10
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.d
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi



%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0


%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/yum.conf
%config %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%{_sysconfdir}/yum.conf.lts309
%{_sysconfdir}/yum.conf.lts30x
%{_sysconfdir}/yum.conf.flash

%changelog
* Thu Dec 27 2007 Troy Dawson <dawson@fnal.gov> 301-10.LTS
- removed extra /etc/yum.conf.*, except flash, lts309, lts30x
- Changed yum.cron to use the /etc/yum.conf
- removed yum.cron.primary and yum.cron.secondary, not needed.
- Udated /etc/yum.conf so it's errata looks at lts309 errata

* Tue Aug 02 2005 Troy Dawson <dawson@fnal.gov> 301-8.LTS
- Gave yum.cron an overhaul to be like the newer, fixed, yum.cron's
- Added yum.conf.* files

* Wed Apr 21 2004 Troy Dawson <dawson@fnal.gov>
- Made check for workgroup in yum.cron
- Added notsupported repository to main yum.conf
- Added tolerant=1 to yum.cron

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to work with enterprise kernels

* Thu Jan 22 2004 Troy Dawson <dawson@fnal.gov>
- Changed everything over to 301 from 30rolling

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
